local clockstate = nil

function data()
    return {       
        guiUpdate = function()
			
            if not clockstate then
                
				-- element for the divider
				local line = api.gui.comp.Component.new("VerticalLine")
			
				-- element for the icon
                local icon = api.gui.comp.ImageView.new("ui/clock_small.tga")
			
                -- element for the time
				clockstate = api.gui.comp.TextView.new("gameInfo.time.label")
				
				-- add elements to ui
				local gameInfoLayout = api.gui.util.getById("gameInfo"):getLayout()
				gameInfoLayout:addItem(line) 
				gameInfoLayout:addItem(icon) 
				gameInfoLayout:addItem(clockstate) 
            end
                                    
            --updates time
			local time = os.time()
            if clockstate and time then
                clockstate:setText(os.date('%H:%M', time))
            end
        
        end
    }
end
